# BarcodeFormatQrCodeConfiguration class

QR Code configuration. Add to scanner configuration to scan QR codes, Micro QR codes and rectangular Micro QR (rMQR) codes.

Inheritance
  - Object
  - BarcodeFormatConfigurationBase
  - BarcodeFormatTwoDConfigurationBase
  - BarcodeFormatQrCodeConfiguration

## Constructors

BarcodeFormatQrCodeConfiguration({String regexFilter = "", double minimumSizeScore = 0.0, bool addAdditionalQuietZone = false, Gs1Handling gs1Handling = Gs1Handling.PARSE, bool strictMode = true, bool qr = true, bool microQr = false, bool rmqr = false})
BarcodeFormatQrCodeConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

addAdditionalQuietZone ↔ bool
  If true, we process the barcode scanning with an artificial quiet zone that we add to the input image. This flag should be used to scan sharp crops of a barcode in single-shot mode.
  getter/setter pair inherited
gs1Handling ↔ Gs1Handling
  GS1 message handling options.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
microQr ↔ bool
  If true, scan and return Micro QR codes.
  getter/setter pair
minimumSizeScore ↔ double
  Minimum acceptable value of a result BarcodeItem's sizeScore (between 0 and 1). Barcodes with a sizeScore less than this value will not be scanned. When set to 0, barcodes are returned no matter what their size is.
  getter/setter pair inherited
qr ↔ bool
  If true, scan and return QR codes.
  getter/setter pair
regexFilter ↔ String
  Regular expression filter for barcode text. If the barcode text does not match the regular expression, it will not be scanned. The default is an empty string (setting is turned off).
  getter/setter pair inherited
rmqr ↔ bool
  If true, scan and return rectangular Micro QR (rMQR) codes.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
strictMode ↔ bool
  If true, the barcode scanner will only return barcodes that pass the strict validation checks according to standards to avoid false positives.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited